Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 3651 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Nefunkční LISP aplikace po přechodu na AutoCAD 19

 Odpovědět Odpovědět archiv
Autor
Dostojevskij Zobrazit panel
Diskutér
Diskutér

Přihlášen: 12.říj.2007
Lokalita: ČR (OS)
Používám:
AutoCAD2013
Stav: Offline
Bodů: 16
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Dostojevskij Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Nefunkční LISP aplikace po přechodu na AutoCAD 19
    Zasláno: 06.pro.2018 v 16:26
Zdravím a prosím o radu. Ve verzi 16 jsem používal jednoduchou aplikaci pro vkládání uzlových bodů do křivky dle zvoleného intervalu. Po přechodu na verzi 19 tato aplikace přestala fungovat. Přikládám zdrojový kód. Nevěděl by někdo, jak ho upravit na novou verzi? Děkuji.

(Defun c:staniceni ()
  (if (and (setq pline (car (entsel "\nVyber křivku:")))
           (eq (cdr (assoc 0 (entget pline))) "LWPOLYLINE")
           (setq int (getdist "\nVlož interval staničení:"))
           (setq in int)
      )
    (while (Setq pt (vlax-curve-getPointAtDist pline int))
      (setq ppt (vlax-curve-getparamatpoint pline pt))
      (vlax-invoke
        (vlax-ename->vla-object pline)
        'AddVertex
        (1+ (fix ppt))
        (list (car pt) (Cadr pt))
      )
      (setq int (+ int in))
    )
  )
)
f.m.d.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio s.r.o.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Online
Bodů: 17735
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.pro.2018 v 16:52
Funguje i ve verzi 2019. Možná doplňte definici lokálních symbolů a (vl-load-com).
Vladimír Michl (moderátor)
CAD Studio s.r.o. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
Dostojevskij Zobrazit panel
Diskutér
Diskutér

Přihlášen: 12.říj.2007
Lokalita: ČR (OS)
Používám:
AutoCAD2013
Stav: Offline
Bodů: 16
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Dostojevskij Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.pro.2018 v 23:20
Děkuji za reakci, ale bohužel se v tom nevyznám. Tu aplikaci jsem nepsal já, poskytl mi ji zde na fóru jeden uživatel na můj dotaz, já pouze editoval dialogy. Byl bych Vám vděčný, kdybyste mne nasměroval, kam do toho kódu patří "definice lokálních symbolů" a kam (vl-load-com), pokusím se s tím poprat... :/ Díky moc.
f.m.d.
Zpět nahoru
pavelstyl Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 06.říj.2004
Lokalita: Czech Republic
Používám:
AutoCAD Mech 2016, SE ST8 a NX 10
Stav: Offline
Bodů: 176
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace pavelstyl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 07.pro.2018 v 06:06
Asi nějak takto.
Pavel Štyl
 
(Defun c:staniceni (/ pline int in pt ppt)
  (vl-load-com)
  (if (and (setq pline (car (entsel "\nVyber křivku:")))
           (eq (cdr (assoc 0 (entget pline))) "LWPOLYLINE")
           (setq int (getdist "\nVlož interval staničení:"))
           (setq in int)
      )
    (while (Setq pt (vlax-curve-getPointAtDist pline int))
      (setq ppt (vlax-curve-getparamatpoint pline pt))
      (vlax-invoke
        (vlax-ename->vla-object pline)
        'AddVertex
        (1+ (fix ppt))
        (list (car pt) (Cadr pt))
      )
      (setq int (+ int in))
    )
  )
)
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio s.r.o.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Online
Bodů: 17735
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 07.pro.2018 v 06:06
Zkuste úplně na začátek přidat řádek:
(vl-load-com)

Nebo ještě lépe použijte aplikaci VTXdist, která nabízí i tuto funkčnost. Viz:
https://www.cadforum.cz/cadforum/pridani-vrcholu-krivky-po-stejne-dlouhych-usecich-tip10090
Vladimír Michl (moderátor)
CAD Studio s.r.o. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
Dostojevskij Zobrazit panel
Diskutér
Diskutér

Přihlášen: 12.říj.2007
Lokalita: ČR (OS)
Používám:
AutoCAD2013
Stav: Offline
Bodů: 16
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Dostojevskij Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 07.pro.2018 v 11:45
Díky vám oběma, pánové, ale bohužel nefunguje ani jedna z možností. U Staničení proběhne výběr křivky i zadání intervalu, ale uzlové body se nepřidají. U VTXdist se objeví pouze dialog "Select a polyline to divide/measure:" a ten po výběru křivky zmizí...
f.m.d.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio s.r.o.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Online
Bodů: 17735
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 07.pro.2018 v 13:04
To je nějaké divné. Modifikujete opravdu křivku (LWPOLYLINE)? Zadáváte staničení v jednotkách odpovídajících reálnému rozměru oné křivky? Ve VTXdist není použit žádný dialog a pokud nevyberete křivku, vypíše se varování.
Vladimír Michl (moderátor)
CAD Studio s.r.o. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 5753:VIPModul FEM/MKP nefunguje po instalaci Inventoru Professional 2008.
Tip 10404:Nefunkční ukládání ve vodařském rozšíření Hydrographs.
Tip 1322:Chyba "INTERNAL ERROR: EREGEN 9 19"
Tip 9521:Prázdná paleta Vlastnosti po odinstalaci Autodesk 360.
Tip 11512:Do kdy si mohu ponechat starou trvalou licenci při přechodu na Subscription (M2S)?
Tip 6796:VIPObnovení chybějících příkazů AutoCADu v ADT/Architecture.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,441 sekund.